import { EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { Toast } from "./types/toast";
import * as i0 from "@angular/core";
export declare class ToastComponent implements OnInit, OnDestroy {
    toast: Toast;
    dismiss: EventEmitter<void>;
    isLeaving: boolean;
    private timer;
    ngOnInit(): void;
    ngOnDestroy(): void;
    startDismissAnimation(): void;
    dismissToast(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToastComponent, "s-toast", never, { "toast": { "alias": "toast"; "required": false; }; }, { "dismiss": "dismiss"; }, never, never, false, never>;
}
